// Oleg Petruny proprietary.

#pragma once

#include "InputAnimatedWidgetInterface.h"
#include "ResolutionResponsiveUserWidget.h"

#include "InteractableHintWidget.generated.h"

UCLASS(Blueprintable, Abstract)
class UInteractableHintWidget : public UResolutionResponsiveUserWidget, public IInputAnimatedWidgetInterface
{
    GENERATED_BODY()

public:
    UPROPERTY(meta = (BindWidget))
    class UTextBlock* keyText;
    UPROPERTY(meta = (BindWidget))
    class UTextBlock* descriptionText;
};
